Subject: Re: [pim] call for adoption: draft-zhou-pim-vrrp-01

From: Xuxiaohu <[email-masked]>
Date: Wed, 5 Jun 2013 03:55:33 +0000

> -----邮件原件-----
> 发件人: Wei Zhou (weizho2) [mailto:[email-masked]]
> 发送时间: 2013年5月29日 4:47
> 收件人: Xuxiaohu; Prashant Jhingran (pjhingra); Rajiv Asati (rajiva); Mike
> McBride; [email-masked]
> 抄送: Stig Venaas; [email-masked]
> 主题: Re: [pim] call for adoption: draft-zhou-pim-vrrp-01
> 
> Hi, Xiaohu
> 
> The motivate for enabling VRRP, rather than IGP in the real transit
> network is to address the following scenarios: 1) two PIM domains in
> different subnets (possibly with firewall in between), 

Since you said "different subnets", the firewall would be a L3 device, right? If so, the firewall could run IGP with the two upstream PIM routers. 

> or 2) in a single
> subnet where the provider does not wish to run a routing protocol between
> the provider's network and customer networks.

In this case, it doesn't require running IGP between the provider network and the customer network. On the contrary, it only needs the two PIM routers in the provider network to run IGP in an authentication mode.

> Thanks,
> Wei
> 
> 
> 
> 
> 
> On 5/23/13 6:56 PM, "Xuxiaohu" <[email-masked]> wrote:
> 
> >Hi,
> >
> >> -----邮件原件-----
> >> 发件人: Wei Zhou (weizho2) [mailto:[email-masked]]
> >> 发送时间: 2013年5月24日 5:36
> >> 收件人: Prashant Jhingran (pjhingra); Rajiv Asati (rajiva); Mike McBride;
> >> Xuxiaohu; [email-masked]
> >> 抄送: Stig Venaas; [email-masked]
> >> 主题: Re: [pim] call for adoption: draft-zhou-pim-vrrp-01
> >>
> >> Hi,
> >>
> >> Thank you all for providing comments and the information on
> >> http://tools.ietf.org/html/draft-xu-pim-drpriority-auto-adjustment-03.
> >>
> >> I just read through the draft proposed by xiaohu as I was not aware of
> >> this draft until xiaohu kindly mentioned in the mail list. After
> >>carefully
> >> comparing the two drafts, let me try explain the differences between
> >>them
> >> (referred as draft-xu-dr-adj and draft-zhou-pim-vrrp):
> >>
> >> 1. The original problems that two drafts try to solve might look similar
> >> but they are actually quite different in the following way:
> >> draft-xu-dr-adj targets the PIM DR auto-adjustment based on upstream
> >>link
> >> tracking, while the idea in draft-zhou-pim-vrrp is to provide a complete
> >> solution to enable multicast to interoperate with first hop redundancy
> >> protocol in response to any interested events: Master routers goes down,
> >> upstream link up/down, bandwidth change and other logical objects that
> >> VRRP could track.
> >
> >As it said in section 2 of draft-xu-dr-adj,
> >
> >"  In fact, if VRRP is run on the PIM routers and the VRRP has enabled
> >   the upstream link tracking mechanism, the PIM DR failover mechanism
> >   could be coupled with the VRRP so as to reuse the upstream link
> >   tracking mechanism of VRRP. One option is to synchronize the PIM DR
> >   priority value to the VRRP priority value always. In this way, the
> >   PIM DR and the VRRP master will always run on an identical router if
> >   the VRRP Preempt_Mode is set to True. Another option is to make the
> >   PIM DR and the VRRP master run on an identical router anyway (i.e.,
> >   regardless whether or not the VRRP Preempt_Mode is True). To achieve
> >   this goal, the PIM DR priority of the VRRP master router SHOULD
> >   always be set to a higher fixed value than that of the VRRP slave
> >   router automatically.
> >"
> >In a word, the PIM DR and the VRRP master could actually run on the same
> >router no matter whatever factor triggers the VRRP switchover, as per the
> >above description.
> >
> >> 2. The solution proposed in draft-zhou-pim-vrrp is designed as a
> >>complete
> >> multicast failover mechanism: in addition to DR priority adjustment, the
> >> new draft addresses other critical problems in providing multicast
> >> redundancy, including Assert metric adjustment, DF election for BiDir
> >> group and tracking multiple VRRP groups.
> >
> >
> >> 3. In addition to last-hop and first-hop scenario, the new draft
> >>addresses
> >>  transit network scenario to make Master router process PIM J/P for the
> >> virtual address, and how to maintain or rebuild J/P state when
> >>switching.
> >
> >Could you please explain the motivation for enabling VRRP, rather than
> >IGP in the real transit network scenario?
> >
> >> The only similarity between the old and new drafts is to make master
> >> router the DR, which is obvious way to make desired router DR.
> >
> >Yes, this is the major motivation for both drafts in my understanding.
> >
> >Best regards,
> >Xiaohu
> >
> >> Thanks,
> >> Wei
> >>
> >>
> >>
> >>
> >>
> >>
> >> On 5/23/13 2:08 AM, "Prashant Jhingran (pjhingra)" <[email-masked]>
> >> wrote:
> >>
> >> >Hi Mike,
> >> >
> >> >I agree with Rajiv, both drafts are trying to solve the same
> >> >issue....that too in almost similar way.
> >> >
> >> >-
> >> >Regards,
> >> >Prashant Jhingran
> >> >NOSTG TME - SP Wi-Fi
> >> >
> >> >http://wwwin.cisco.com/ios/tech/mobile/proxyipv6/
> >> >http://wwwin.cisco.com/ios/tech/broadband
> >> >
> >> >
> >> >-----Original Message-----
> >> >From: Rajiv Asati (rajiva)
> >> >Sent: Thursday, May 23, 2013 3:06 AM
> >> >To: Mike McBride; Xuxiaohu; [email-masked]; Prashant
> >> >Jhingran (pjhingra); Wei Zhou (weizho2)
> >> >Cc: Stig Venaas; [email-masked]
> >> >Subject: RE: [pim] call for adoption: draft-zhou-pim-vrrp-01
> >> >
> >> >Hi Mike,
> >> >
> >> >It seems that both drafts seem to solve nearly the same problem
> >>(multiple
> >> >routers on the multi-access interface and existence of first-hop
> >> >redundancy protocols e.g. VRRP).
> >> >
> >> >Cheers,
> >> >Rajiv
> >> >
> >> >
> >> >> -----Original Message-----
> >> >> From: Mike McBride [mailto:[email-masked]]
> >> >> Sent: Wednesday, May 22, 2013 2:17 AM
> >> >> To: Xuxiaohu; [email-masked]; Rajiv Asati (rajiva);
> >> >> Prashant Jhingran (pjhingra); Wei Zhou (weizho2)
> >> >> Cc: Stig Venaas; Mike McBride; [email-masked]
> >> >> Subject: Re: [pim] call for adoption: draft-zhou-pim-vrrp-01
> >> >>
> >> >> Folks,
> >> >>
> >> >> We have this new draft-zhou-pim-vrrp-01 which we are about to adopt
> >> >> into the pim wg. It has been brought to the WGs attention that there
> >> >> is a older draft (draft-xu-pim-drpriority-auto-adjustment-03) which
> >> >> may have some overlap with the new one. That older draft does contain
> >> >> information about VRRP aware PIM which is attributed to Stig in the
> >> >> acknowledgements. If the five of you authors feel that there is some
> >> >> validity that the older draft contains some information being used in
> >> >> the new draft, you may want to acknowledge that in the references or
> >> >> acknowledgements. It appears the drafts are dissimilar enough to not
> >> >> be merged but I may be wrong. Please share your opinions on this so
> >>we
> >> >> can establish consensus within the group and move the document along.
> >> >>
> >> >> If the broader WG participants have an opinion on this please speak
> >>up.
> >> >>
> >> >> thanks,
> >> >> mike
> >> >>
> >> >> On Thu, May 9, 2013 at 7:32 PM, Xuxiaohu <[email-masked]>
> wrote:
> >> >> > Hi all,
> >> >> >
> >> >> > This draft reminds me that there has been a draft
> >> >>
> >>(http://tools.ietf.org/html/draft-xu-pim-drpriority-auto-adjustment-03
> >> >> ) three years before which uses almost the same technology to save
> >> >> almost the same problem.
> >> >> >
> >> >> > The following is quoted from the above draft:
> >> >> >
> >> >> >    "In fact, if VRRP is run on the PIM routers and the VRRP has
> >> >>enabled
> >> >> >    the upstream link tracking mechanism, the PIM DR failover
> >> mechanism
> >> >> >    could be coupled with the VRRP so as to reuse the upstream link
> >> >> >    tracking mechanism of VRRP. One option is to synchronize the
> >>PIM DR
> >> >> >    priority value to the VRRP priority value always. In this way,
> >>the
> >> >> >    PIM DR and the VRRP master will always run on an identical
> >>router
> >> >>if
> >> >> >    the VRRP Preempt_Mode is set to True. Another option is to make
> >>the
> >> >> >    PIM DR and the VRRP master run on an identical router anyway
> >>(i.e.,
> >> >> >    regardless whether or not the VRRP Preempt_Mode is True). To
> >> >>achieve
> >> >> >    this goal, the PIM DR priority of the VRRP master router SHOULD
> >> >> >    always be set to a higher fixed value than that of the VRRP
> >>slave
> >> >> >    router automatically."
> >> >> >
> >> >> > Best regards,
> >> >> > Xiaohu
> >> >> >
> >> >> >> -----邮件原件-----
> >> >> >> 发件人: [email-masked] [mailto:[email-masked]] 代表
> >> >> Mike
> >> >> >> McBride
> >> >> >> 发送时间: 2013年5月10日 3:48
> >> >> >> 收件人: [email-masked]
> >> >> >> 主题: [pim] call for adoption: draft-zhou-pim-vrrp-01
> >> >> >>
> >> >> >> draft-zhou-pim-vrrp-01 was presented in our most recent pim
> >>meeting
> >> >> >> in Orlando. 4 people were in favor of adopting the draft. Zero
> >> >>against.
> >> >> >> Please read the draft (its short) and provide an opinion either
> >>way
> >> >> >> by the end of next Friday the 17th.
> >> >> >>
> >> >> >> http://www.ietf.org/id/draft-zhou-pim-vrrp-01.txt
> >> >> >>
> >> >> >> thanks,
> >> >> >> mike
> >> >> >> _______________________________________________
> >> >> >> pim mailing list
> >> >> >> [email-masked]
> >> >> >> https://www.ietf.org/mailman/listinfo/pim
> >